- name: nameserver | snmpd | install needed modules
  package:
    name: "{{ perl_readbackwards }}"
    state: present

- name: nameserver | snmpd | get script
  get_url:
    url: "https://github.com/librenms/librenms-agent/raw/master/snmp/bind"
    dest: "/etc/snmp/bind"
    mode: "0755"
    owner: "root"
    group: "root"

- name: nameserver | snmpd | create configuration
  copy:
    dest: "/etc/snmp/bind.conf"
    src: "snmpd_bind.conf"
    mode: "0644"
    owner: "root"
    group: "root"

- name: nameserver | snmpd | create statistics file
  file:
    path: /var/cache/bind/stats
    state: touch
    owner: "bind"
    group: "bind"

- name: nameserver | snmpd | configure named for statistics
  lineinfile:
    path: "{{ named_conf_options }}"
    state: present
    line: '\tstatistics-file "/var/cache/bind/stats";\n\tzone-statistics yes;'
    insertafter: "options {"
    validate: "/usr/sbin/named-checkconf %s"
  notify: restart_named

- name: nameserver | snmpd | configure extend
  lineinfile:
    path: "{{ snmpd_conf }}"
    state: present
    line: "extend bind /etc/snmp/bind"
    insertafter: "# SECTION: Extends"
  notify: restart_snmpd